> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm multi payment instructions

Review a processed mass payment and then confirm the instruction to allow trade and payments creation.

You have to confirm a mass payment instruction when

1. The auto\_commit field is set to false,
2. The auto\_commit field is set to true and errors are identified at the time of processing request.

<Warning>Please note that a mass payment can be only confirmed when the mass payment status is “processed”, otherwise a 400 Bad request error will be returned. When hitting this endpoint, the new payment status will change to “creating”.</Warning>


## OpenAPI

````yaml /openapi.json post /mass-payments/{mass_payment_id}/confirm
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /mass-payments/{mass_payment_id}/confirm:
    post:
      tags:
        - Multi Payments
      summary: Confirm multi payment instructions
      description: >-
        Confirm (commit) mass payment instructions, which can be hold because
        `auto_commit` was false, or because there were some errors.
      parameters:
        - description: The mass payment ID
          in: path
          name: mass_payment_id
          required: true
          schema:
            type: string
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
      responses:
        '202':
          description: Masspayment confirmation accepted, see response body for status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MassPaymentResponse'
        '400':
          description: >-
            Formatting or schema validation error. See error message for further
            details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Client ID not found
        '502':
          description: Internal integration error. Contact support,
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    MassPaymentResponse:
      properties:
        mass_payment_id:
          description: The UUID of the MassPayment just created
          type: string
          format: uuid
        external_reference_id:
          description: The external reference for the MassPayment, if supplied
          type: string
        mass_payment_status:
          $ref: '#/components/schemas/EnumMassPaymentStatus'
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    EnumMassPaymentStatus:
      description: This is an enumeration of the status of a MassPayment
      enum:
        - Queued for processing
        - Processing
        - Processed
        - Queued for creating
        - Creating
        - Created
        - Cancelled
        - Failed
      type: string
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````